Bug 741822 - gedit becomes unusable when opening 138MB SQL dump
gedit becomes unusable when opening 138MB SQL dump
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
15
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-27 23:37 EDT by gabe@codehaus.org
Modified: 2012-08-07 14:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 14:30:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description gabe@codehaus.org 2011-09-27 23:37:26 EDT
Description of problem:

I attempted to open an SQL dump in gEdit that was 138MB in size. My machine is new build with 8GB of RAM and a processor at 4GHz. There are no hardware issues and the machine was practically idle.

When I double clicked the file in my home directory, gEdit opened and displayed a tab for the file. A progress bar appeared. About 90 seconds later, some text appeared in the editing area, but I could not scroll. 90 seconds after that, I could move the scrollbar but this only corrupted the editing area - it looked like individual characters were overlapping. The app then became unresponsive.

After about 5 minutes, I could scroll by dragging the scrollbar, but very slowly. It was impossible to be precise, and it took 5 or 6 seconds between screen redraws.

This is probably problem in the GtkSourceView component. I know it's loading everything into memory, but I have so much free RAM that this should not be a performance hit.

Version-Release number of selected component (if applicable):

gedit-2:3.0.6-1.fc15
Comment 1 Ravishankar Srinivasan 2012-06-06 23:30:28 EDT
I am seeing the same problem but on a small 250K SQL Mysql dump file! Unfortunately I cannot share the sql file. It is a MySQL 5.5.23 full DB dump with schema + data. At most largest table has a few hundred rows.
Comment 2 Ravishankar Srinivasan 2012-06-06 23:31:39 EDT
Ray,

If you need my SQL file for debugging,  I can zip it and mail it to your @redhat email

Ravi
Comment 3 Fedora End Of Life 2012-08-07 14:30:37 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.